;若要自定义此文件，请务必先阅读以下说明：
;该文件内容大致分为四类：1.CommonConfig 2.Products(中望公司提供的产品) 3.Package(产品里所包含的安装包) 4.Translations(字符资源的翻译)
;
;1.CommonConfig
;实际安装过程中PlatForm和Language也会从Package所指向的文件里再读取一次。所以，此处所写和Package所指文件里的内容这俩须一致。
;
;2.Products
;目前此安装程序可供安装的产品(共有ZWCAD和NLM两个)。
;
;3.Packages
;每个Package必属于某个Product。
;PackageName------主要用于显示在进度条的上方。
;注意：对于非武汉研发中心默认包含，而是其他人员新增的一个Package，若文件类型是exe而非msi，则PackageName的值必须以Attachment为前缀。 如：PackageName=AttachmentVCREDIST2010)
;FilePath---------此Package所要安装的文件所在路径。要么是在%Root%的某个子目录里，要么是Uninstaller.exe，在ZWCAD的安装目录下。
;InstallParam-----安装此Package时所要用到的参数。
;ProgressRequirement---表示所需的进度。单个的值是没有意义的，所有Packages的此项值结合起来才有用。
;如：ZWCAD语言包是200，核心包是400，vba.msi是200，vbalp.msi是100。那么ZWCAD语言包装完，会前进整个进度的九分之二(200/(200+400+200+100))。
;IgnoreFailure----用来屏蔽某个Package的安装结果对整体结果的影响。
;如：vba.msi的此项值为1，则即使vba.msi安装失败，只要Product里的其它Package安装成功，那么一个Product的结果仍是安装成功。
;IsKeyPack--------表明此Package是检测所属Product已安装与否的标准。
;IsCorePack-------主要用于表明此Package的路径是所属Product的安装路径，之后的其它语言版本，均装在此Package所在目录。(需规范GUID以实现效果)
;Package的属性中，ProgressRequirement、RequiredSpace、IsCorePack、IsKeyPack可以为空或不写，其它必须要有值。
;只有ZWSOFT的Package才有RequiredSpace，以参与计算所需磁盘空间。其它组件不应有此项值。
;
;*******************以下重点说明Prerequisites:***********************
;在真正执行安装之前的初始化阶段，会先用压栈的方式获取一个Product的所有Prerequisites。
;比如：
;product1-ZWCAD(Uninstaller)，先被压栈。解析其Prerequisites只有ZWCADLP，压栈。解析ZWCADLP的Prerequisites是
;DotNetFX461;WIC;WindowsInstaller31;InstDrv;VCREDIST2010;VCREDIST2017;VBA71Main;VBA71LP;MSXML;VSCODE;ZWCADMain，此时从后(ZWCADMain)往
;前(DotNetFX461)解析并同时压栈。直到一个Product的所有Package都被解析完。
;*******************由此会产生Product里所有Package的安装顺序。
;*******************因此，Prerequisites的顺序不能被打乱。非ZWSOFT的Package应该先装(其中又以.net等基础组件最先，vba等功能组件为后)，ZWSOFT的Package最后。核心包在前，语言包在后。
;
;4.Translations
;代码中用每一项的名称来获取对应的翻译文字。所以名称不能被随意修改。
;由于存在多语言版本，会有不同的字符编码，所以此文件一定要被保存为Unicode格式(UTF-8也不行)。


[CommonConfig]
Manufacturer=ZWSOFT
ProductMainPlatform=ZWCAD
VerYear=2021
OEMName=ZWCAD
ProductBits=x64
Language=ENG.en-US.1033
InstallRootFolder=%ProgramDir%\ZWSOFT\ZWCAD 2021
LangPackType=MSI

[Products]
product1=ZWCAD

[ZWCAD]
PackageName=ZWCAD %VerYear% Uninstaller
Prerequisites=ZWCADLP;
FilePath=%InstallLocation%\uninstall.exe
InstallParam=/install en-US "%OEMName% %VerYear% English"
RepairParam=/install en-US "%OEMName% %VerYear% English"
ProgressRequirement=0
IgnoreFailure=1
PrintInstallerInfo=1

[ZWCADMain]
IsCorePack=True
IsKeyPack=True
PackageName=ZWCAD %VerYear%
FilePath=%Root%\msi\%OEMName%\Zwcad.msi
InstallParam=ARPSYSTEMCOMPONENT=1 ACTION=INSTALL REBOOT=SUPPRESS INSTALLFOLDER="%InstallLocation%" parameter=" /norestart"
RepairParam=
ProgressRequirement=1000
IgnoreFailure=0
RequiredSpace=350
PrintInstallerInfo=1
Guid={D82704B7-A001-0000-A001-D0105E569BCF}

[ZWCADLP]
IsKeyPack=True
IsLanPack=True
PackageName=ZWCAD %VerYear% Language Pack - %Language3%
Prerequisites=DotNetFX461;WIC;WindowsInstaller31;InstDrv;VCREDIST2010;VCREDIST2017;VBA71Main;VBA71LP;MSXML;VSCODE;ZWCADMain;
FilePath=%Root%\msi\%OEMName%\Eng.msi
InstallParam=ARPSYSTEMCOMPONENT=1 ACTION=INSTALL REBOOT=SUPPRESS INSTALLFOLDER="%InstallLocation%" parameter=" /norestart"
RepairParam=
ProgressRequirement=500
IgnoreFailure=0
RequiredSpace=100
PrintInstallerInfo=1
Guid={D82704B7-A001-1033-A101-D0105E569BCF}

[WIC]
PackageName=WIC
Prerequisites=
FilePath=%Root%\msi\Prerequisites\Requirements_for_Winserver2003\x64\wic_x64_enu.exe
InstallParam=/q /norestart
RepairParam=/q /norestart
ProgressRequirement=300
IgnoreFailure=1
PrintInstallerInfo=0

[WindowsInstaller31]
PackageName=WindowsInstaller31
Prerequisites=
FilePath=%Root%\msi\Prerequisites\WindowsInstaller3_1\WindowsInstaller-KB893803-v2-x86.exe
InstallParam=/q /norestart
RepairParam=/q /norestart
ProgressRequirement=300
IgnoreFailure=1
PrintInstallerInfo=0

[DotNetFX461]
PackageName=DotNetFX461
FilePath=%Root%\msi\Prerequisites\DotNetFX461\NDP461-KB3102436-x86-x64-AllOS-ENU.exe
RepairParam=/q /repair /norestart
ProgressRequirement=1500
PrintInstallerInfo=0

[InstDrv]
PackageName=InstDrv
Prerequisites=
FilePath=%Root%\msi\Prerequisites\AuthDrive\InstDrv.exe
InstallParam=/i/s
RepairParam=/i/s
ProgressRequirement=100
IgnoreFailure=1
PrintInstallerInfo=0

[VCREDIST2010]
PackageName=VCREDIST2010
Prerequisites=
FilePath=%Root%\msi\Prerequisites\vcredist_2010\vcredist.exe
InstallParam=/q /norestart
RepairParam=/q /repair /norestart
ProgressRequirement=100
IgnoreFailure=0
PrintInstallerInfo=0

[VBA71Main]
PackageName=VBA71Main
Prerequisites=
FilePath=%Root%\msi\Prerequisites\VBA\Vba71.msi
InstallParam=ACTION=INSTALL REBOOT=SUPPRESS
RepairParam=
ProgressRequirement=100
IgnoreFailure=1
PrintInstallerInfo=0

[VBA71LP]
PackageName=VBA71LP
Prerequisites=
FilePath=%Root%\msi\Prerequisites\VBA\Vba71LP.msi
InstallParam=ACTION=INSTALL REBOOT=SUPPRESS
RepairParam=
ProgressRequirement=100
IgnoreFailure=1
PrintInstallerInfo=0

[VCREDIST2017]
PackageName=VCREDIST2017
Prerequisites=
FilePath=%Root%\msi\Prerequisites\vcredist_2017\vcredist.exe
InstallParam=/q /norestart
RepairParam=/q /norestart
ProgressRequirement=100
IgnoreFailure=1
PrintInstallerInfo=0
[MSXML]
PackageName=MSXML
Prerequisites=
FilePath=%Root%\msi\Prerequisites\MSXML\msxml6.msi
InstallParam=ACTION=INSTALL REBOOT=SUPPRESS
RepairParam=
ProgressRequirement=100
IgnoreFailure=1
PrintInstallerInfo=0

[VSCODE]
PackageName=VSCODE
Prerequisites=
FilePath=%Root%\msi\Prerequisites\vscode\VSCodeSetup.exe
InstallParam=/VERYSILENT /NORESTART /SUPPRESSMSGBOXES /MERGETASKS=!runcode
RepairParam=/VERYSILENT /NORESTART /SUPPRESSMSGBOXES /MERGETASKS=!runcode
ProgressRequirement=100
IgnoreFailure=1
PrintInstallerInfo=0

[Translations]
Available=Required
Cancel=Cancel
CancelAffirm=Are you sure you want to exit the installer now?
CADFoundCannotContinue=ZWCAD 2021 %s is found, cannot continue to install ZWCAD 2021 %s on this machine!
Change=Browse
Company=©1998-2021 ZWSOFT CO., LTD.(Guangzhou). All Rights Reserved.
Deployment=Deployment
DiskSpaceNeeded=Disk space is insufficient!
DlgTitleNotice=Notice
DotNetManually=Failed to start the Microsoft .NET Framework 4.6.1 Installer. Please go to %s to start it manually.
DotNetNotFound=Didn't find .NET Framework 4.6.1. Do you want to install it right now?
DotNetPrompt=Your computer is using an unsupported version of the Microsoft .NET Framework. The product you are installing requires Microsoft .NET Framework 4.6.1 or later.\nPlease update .NET Framework 4.6.1 and restart your computer before installing this product.
ErrX64CADOnWin32OS=You're now trying to install an 64 bit product to your 32 bit system, please exit and download the right 32 bit product form http://www.zwcad.com
Exit=Exit
ExitAffirm=Are you sure to exit the installation?
Failed=Installation failed!
Finish=Finish
Install=Install
Repair=Repair
Installed=(Installed)
InstallCompleted=Installation Completed
Installing=Installing:
Repairing=Repairing:
InstallLocation=Location
InstallNotCompleted=The installation is not complete.The completed installation will not be roll back. You can run this wizard again later to complete the installation.
InvalidPath=Invalid Path!
LaunchAfterInstall=Launch after finish
LicAccept=Agree
LicAgreementApplyTo=<End User License Agreement>
NLM=Network License Manager
No=No
Ok=OK
PathInvalid=The installation path is invalid.
Product=Product
ReadLic=<End User License Agreement>
RollBackDesc=Roll back the product......
Successfully=Installation Completed
RepairFailed=Repair failed!
RepairSuccessfully=Repair Completed
UI=Ribbon
UIClassic=ZWCAD Classic
UIRibbon=2D Drafting & Annotation
UnsupportedOS=Unsupported operating system
Yes=Yes
ZWCAD=ZWCAD 2021
SelectStyle=Please select your preferable UI styles:
InstallDisabled=Another version of the product has been installed.You cannot continue installing this version.
IsMissingMsi=Missing installation files.

[ExtensibleModule]
Deployment=True

[AfterUnintall]
FileName=
InputParam=
[Feedback]
FileName=ZwFeedback.exe
Url=http://www.zwsoft.com/index.php?m=content&c=SoftwareInstall&a=zwcad&lang=enu&year=2021
TitleThanks=Thank you for using ZWCAD 2021 !

[LaunchProgram]
FileName=ZWCAD.exe

[ActivateProgram]
FileName=ZwAuthHost.exe

[LinkFiles]
LicenseFile=License.html
LinkFile1=Installation Help_EN.htm
LinkFile2=Release Notes_EN.htm
[LPGUIDS]
CHS={D82704B7-A001-2052-A101-D0105E569BCF}
CHT={D82704B7-A001-1028-A101-D0105E569BCF}
ENG={D82704B7-A001-1033-A101-D0105E569BCF}
CSY={D82704B7-A001-1029-A101-D0105E569BCF}
DEU={D82704B7-A001-1031-A101-D0105E569BCF}
ESN={D82704B7-A001-3082-A101-D0105E569BCF}
FRA={D82704B7-A001-1036-A101-D0105E569BCF}
HUN={D82704B7-A001-1038-A101-D0105E569BCF}
ITA={D82704B7-A001-1040-A101-D0105E569BCF}
JPN={D82704B7-A001-1041-A101-D0105E569BCF}
KOR={D82704B7-A001-1042-A101-D0105E569BCF}
PLK={D82704B7-A001-1045-A101-D0105E569BCF}
PTB={D82704B7-A001-1046-A101-D0105E569BCF}
RUS={D82704B7-A001-1049-A101-D0105E569BCF}
TRK={D82704B7-A001-1055-A101-D0105E569BCF}
